Skip to main content
Compute Management/Host Related Interfaces/Kernel Adapter Related Interfaces
DELETEKernel Adapter Related InterfacesSince 4.1.0SynchronousAuth Required

Delete Host Kernel Interface

Delete Host Kernel Interface

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    UUID of the resource, uniquely identifies the resource

Body Fields

  • systemTagsList

    System tags

  • userTagsList

    User tags

  • deleteModeString

    Delete mode (Permissive or Enforcing, default is Permissive)

Responses

DELETE endpoints return an empty object on success, or a standard error structure on failure.

Success Response

{}

Error Response

{
  "error": {
    "code": "SYS.1001",
    "description": "A message or a operation timeout",
    "details": "Delete resource timeout after 300s"
  }
}

Endpoint

DELETE/zstack/v1/l2-networks/kernel-interfaces/{uuid}

/zstack/v1/l2-networks/kernel-interfaces/{uuid}

Operation ID

DeleteHostKernelInterface

Permalink

Request Example

curl -X DELETE 'http://{host}/zstack/v1/l2-networks/kernel-interfaces/{uuid}' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"systemTags":["<systemTags>"],"userTags":["<userTags>"],"deleteMode":"<deleteMode>"}'

Response Example

200
{}

Change History

This API has no change history records yet.

View all change history